# $Revision: 1.3 $, $Date: 2002/09/09 16:23:16 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Unicode
%define	pnam	Lite
Summary:	Unicode::Lite - Easy conversion between encodings
Summary(pl):	Unicode::Lite - atwa konwersja pomidzy kodowaniami
Name:		perl-Unicode-Lite
Version:	0.12
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-26
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Unicode-Map
BuildRequires:	perl-enum
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unicode::Lite includes string converting function from one and to
another charset.

%description -l pl
Unicode::Lite zawiera funkcje do konwersji cigw na rne kodowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Unicode-Lite.spec,v $
Revision 1.3  2002/09/09 16:23:16  radek
- removed %_bindir/map, conflicting with perl-Unicode-Map; release 3

Revision 1.2  2002/09/09 13:39:30  radek
- pl summary/description; release 2

Revision 1.1  2002/09/04 11:19:33  radek
- new, STBR

